package com.bootdo.datas.domain;

import com.alibaba.excel.annotation.ExcelProperty;


public class GyDataExcelDO {

    /**
     * 序号
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","序号"}, index = 0)
    private int no;

    /**
     * 数据名称
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据基本情况","数据名称"}, index = 1)
    private String dataName;

    /**
     * 数据分级分类依据
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据基本情况","依据数据分类分级规范"}, index = 2)
    private String dataTypeBase;

    /**
     * 数据一级类别
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据基本情况","数据一级类别"}, index = 3)
    private String dataTypeOne;

    /**
     * 数组二级类别
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据基本情况","数据二级类别"}, index = 4)
    private String dataTypeTwo;

    /**
     * 数据三级类别
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据基本情况","数据三级类别"}, index = 5)
    private String dataTypeThree;

    /**
     * 数组四级类别
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据基本情况","数据四级类别"}, index = 6)
    private String dataTypeFour;

    /**
     * 数据级别:01核心数据 02 重要数据
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据基本情况","数据级别"}, index = 7)
    private String dataLevel;

    /**
     * 数据载体
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据基本情况","数据载体"}, index = 8)
    private String dataCarrier;

    /**
     * 数据来源
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据基本情况","数据来源"}, index = 9)
    private String dataSource;

    /**
     * 数据数量-电子数据
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据基本情况","数据数量(单位：GB)"}, index = 10)
    private Double dataNumGb;

    /**
     * 数据数量-非电子数据
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据基本情况","数据数量(单位：条)"}, index = 11)
    private Integer dataNum;

    /**
     * 数据规模
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据基本情况","数据覆盖情况","覆盖类型"}, index = 12)
    private String dataScope;

    /**
     * 覆盖占比
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据基本情况","数据覆盖情况","覆盖占比"}, index = 13)
    private String dataProportion;

    /**
     * 数据精度
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据基本情况","数据精度"}, index = 14)
    private String dataPrecision;

    /**
     * 数据精度描述
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据基本情况","详细描述"}, index = 15)
    private String dataPrecisionDes;

    /**
     * 数据处理者名称
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","责任主体情况","数据处理者名称"}, index = 16)
    private String reporterUnit;

    /**
     * 机构代码
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","责任主体情况","机构代码"}, index = 17)
    private String creditCode;

    /**
     * 所属地区（省）
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","责任主体情况","数据处理者所在地","省"}, index = 18)
    private String unitProvince;

    /**
     * 所属地区（市）
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","责任主体情况","数据处理者所在地","市"}, index = 19)
    private String unitCity;

    /**
     * 数据处理者性质
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","责任主体情况","数据处理者性质"}, index = 20)
    private String unitCharacter;

    /**
     * 所属行业-一级类别
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","责任主体情况","所属行业"}, index = 21)
    private String industryTypeOne;

    /**
     * 所属行业-二级类别
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","责任主体情况","主要业务范围"}, index = 22)
    private String industryTypeTwo;

    /**
     * 数据安全联系人
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","责任主体情况","数据安全负责人","姓名"}, index = 23)
    private String dataSecurityMan;

    /**
     * 数据安全负责人职务
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","责任主体情况","数据安全负责人","职务"}, index = 24)
    private String dataSecurityOffice;

    /**
     * 数据安全负责人联系方式
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","责任主体情况","数据安全负责人","联系方式"}, index = 25)
    private String dataSecurityWay;

    /**
     * 数据处理方式
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据处理情况","数据处理活动方式"}, index = 26)
    private String dataHandleType;

    /**
     * 数据目的
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据处理情况","数据处理目的"}, index = 27)
    private String dataResult;

    /**
     * 是否涉及算法处理
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据处理情况","是否涉及算法自动化处理"}, index = 28)
    private String isAlgorithmHandle;

    /**
     * 数据是否出境
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据处理情况","数据出境情况","是否出境"}, index = 29)
    private String isCross;

    /**
     * 数据跨境接收方名称
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据处理情况","数据出境情况","数据出境接收方名称"}, index = 30)
    private String crossAcceptName;

    /**
     * 数据出境方式
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据处理情况","数据出境情况","数据出境方式"}, index = 31)
    private String dataCrossType;

    /**
     * 是否开展数据出境安全评估
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据处理情况","数据出境情况","是否开展数据出境安全评估"}, index = 32)
    private String isSecurityAss;

    /**
     * 数据出境安全评估结果
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据处理情况","数据出境情况","数据出境安全评估结果"}, index = 33)
    private String assessResult;

    /**
     * 是否存在数据跨主体流动场景
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据处理情况","数据对外共享情况","是否对外共享"}, index = 34)
    private String isCrossMain;

    /**
     * 数据跨主体流动接收方
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据处理情况","数据对外共享情况","数据对外共享接收方名称"}, index = 35)
    private String crossmainAcceptName;


    /**
     * 数据跨主体流动方式
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据处理情况","数据对外共享情况","数据对外共享方式"}, index = 36)
    private String dataCrossmainType;

    /**
     * 是否涉及数据跨主体流动
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据处理情况","是否涉及跨主体流动"}, index = 37)
    private String isCrossmainFlow;

    /**
     * 是否涉外数据
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据处理情况","是否为涉外数据"}, index = 38)
    private String isForeignData;

    /**
     * 信息系统名称
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据安全情况","承载重要/核心数据的信息系统情况","信息系统名称"}, index = 39)
    private String infoSystemName;

    /**
     * 信息系统IP地址
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据安全情况","承载重要/核心数据的信息系统情况","信息系统IP地址"}, index = 40)
    private String infoSystemIpAddress;

    /**
     * 信息系统域名
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据安全情况","承载重要/核心数据的信息系统情况","信息系统域名"}, index = 41)
    private String infoSystemDomainName;

    /**
     * 信息系统类型
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据安全情况","承载重要/核心数据的信息系统情况","信息系统类型"}, index = 42)
    private String infoSystemType;

    /**
     * 网络安全等级保护认定情况
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据安全情况","承载重要/核心数据的信息系统情况","网络安全等级保护情况"}, index = 43)
    private String securityCognizance;

    /**
     * 通信网络安全等级防护定级备案情况
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据安全情况","承载重要/核心数据的信息系统情况","通信网络安全防护定级备案情况"}, index = 44)
    private String comSecurityCognizance;

    /**
     * 是否为关键信息基础设施
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据安全情况","承载重要/核心数据的信息系统情况","是否为关键信息基础设施"}, index = 45)
    private String isKetSystem;

    /**
     * 是否开展重要数据安全风险评估
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据安全情况","重要安全风险评估情况","是否进行数据安全风险评估"}, index = 46)
    private String isKeydataAss;

    /**
     * 评估机构
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据安全情况","重要安全风险评估情况","评估机构"}, index = 47)
    private String assessOrg;

    /**
     * 评估依据的规范
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据安全情况","重要安全风险评估情况","评估规范"}, index = 48)
    private String assessBase;

    /**
     * 评估时间
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据安全情况","重要安全风险评估情况","评估时间"}, index = 49)
    private String assessTime;

    /**
     * 重要数据安全风险评估结论
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","数据安全情况","重要安全风险评估情况","评估结论"}, index = 50)
    private String dataAssessResult;

    /**
     * 备注
     */
    @ExcelProperty(value = {"工业领域重要数据和核心数据目录备案表","备注"}, index = 51)
    private String dataDesc;

    public int getNo() {
        return no;
    }

    public void setNo(int no) {
        this.no = no;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getDataTypeBase() {
        return dataTypeBase;
    }

    public void setDataTypeBase(String dataTypeBase) {
        this.dataTypeBase = dataTypeBase;
    }

    public String getDataTypeOne() {
        return dataTypeOne;
    }

    public void setDataTypeOne(String dataTypeOne) {
        this.dataTypeOne = dataTypeOne;
    }

    public String getDataTypeTwo() {
        return dataTypeTwo;
    }

    public void setDataTypeTwo(String dataTypeTwo) {
        this.dataTypeTwo = dataTypeTwo;
    }

    public String getDataTypeThree() {
        return dataTypeThree;
    }

    public void setDataTypeThree(String dataTypeThree) {
        this.dataTypeThree = dataTypeThree;
    }

    public String getDataTypeFour() {
        return dataTypeFour;
    }

    public void setDataTypeFour(String dataTypeFour) {
        this.dataTypeFour = dataTypeFour;
    }

    public String getDataLevel() {
        return dataLevel;
    }

    public void setDataLevel(String dataLevel) {
        this.dataLevel = dataLevel;
    }

    public String getDataCarrier() {
        return dataCarrier;
    }

    public void setDataCarrier(String dataCarrier) {
        this.dataCarrier = dataCarrier;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public Integer getDataNum() {
        return dataNum;
    }

    public void setDataNum(Integer dataNum) {
        this.dataNum = dataNum;
    }

    public Double getDataNumGb() {
        return dataNumGb;
    }

    public void setDataNumGb(Double dataNumGb) {
        this.dataNumGb = dataNumGb;
    }

    public String getDataScope() {
        return dataScope;
    }

    public void setDataScope(String dataScope) {
        this.dataScope = dataScope;
    }

    public String getDataPrecision() {
        return dataPrecision;
    }

    public void setDataPrecision(String dataPrecision) {
        this.dataPrecision = dataPrecision;
    }

    public String getDataPrecisionDes() {
        return dataPrecisionDes;
    }

    public void setDataPrecisionDes(String dataPrecisionDes) {
        this.dataPrecisionDes = dataPrecisionDes;
    }

    public String getReporterUnit() {
        return reporterUnit;
    }

    public void setReporterUnit(String reporterUnit) {
        this.reporterUnit = reporterUnit;
    }

    public String getCreditCode() {
        return creditCode;
    }

    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode;
    }

    public String getUnitProvince() {
        return unitProvince;
    }

    public void setUnitProvince(String unitProvince) {
        this.unitProvince = unitProvince;
    }

    public String getUnitCity() {
        return unitCity;
    }

    public void setUnitCity(String unitCity) {
        this.unitCity = unitCity;
    }

    public String getUnitCharacter() {
        return unitCharacter;
    }

    public void setUnitCharacter(String unitCharacter) {
        this.unitCharacter = unitCharacter;
    }

    public String getIndustryTypeOne() {
        return industryTypeOne;
    }

    public void setIndustryTypeOne(String industryTypeOne) {
        this.industryTypeOne = industryTypeOne;
    }

    public String getIndustryTypeTwo() {
        return industryTypeTwo;
    }

    public void setIndustryTypeTwo(String industryTypeTwo) {
        this.industryTypeTwo = industryTypeTwo;
    }
    public String getDataSecurityMan() {
        return dataSecurityMan;
    }

    public void setDataSecurityMan(String dataSecurityMan) {
        this.dataSecurityMan = dataSecurityMan;
    }

    public String getDataSecurityOffice() {
        return dataSecurityOffice;
    }

    public void setDataSecurityOffice(String dataSecurityOffice) {
        this.dataSecurityOffice = dataSecurityOffice;
    }

    public String getDataSecurityWay() {
        return dataSecurityWay;
    }

    public void setDataSecurityWay(String dataSecurityWay) {
        this.dataSecurityWay = dataSecurityWay;
    }

    public String getDataHandleType() {
        return dataHandleType;
    }

    public void setDataHandleType(String dataHandleType) {
        this.dataHandleType = dataHandleType;
    }

    public String getDataResult() {
        return dataResult;
    }

    public void setDataResult(String dataResult) {
        this.dataResult = dataResult;
    }

    public String getIsAlgorithmHandle() {
        return isAlgorithmHandle;
    }

    public void setIsAlgorithmHandle(String isAlgorithmHandle) {
        this.isAlgorithmHandle = isAlgorithmHandle;
    }

    public String getIsCross() {
        return isCross;
    }

    public void setIsCross(String isCross) {
        this.isCross = isCross;
    }

    public String getCrossAcceptName() {
        return crossAcceptName;
    }

    public void setCrossAcceptName(String crossAcceptName) {
        this.crossAcceptName = crossAcceptName;
    }

    public String getDataCrossType() {
        return dataCrossType;
    }

    public void setDataCrossType(String dataCrossType) {
        this.dataCrossType = dataCrossType;
    }

    public String getIsSecurityAss() {
        return isSecurityAss;
    }

    public void setIsSecurityAss(String isSecurityAss) {
        this.isSecurityAss = isSecurityAss;
    }

    public String getAssessResult() {
        return assessResult;
    }

    public void setAssessResult(String assessResult) {
        this.assessResult = assessResult;
    }

    public String getIsCrossMain() {
        return isCrossMain;
    }

    public void setIsCrossMain(String isCrossMain) {
        this.isCrossMain = isCrossMain;
    }

    public String getCrossmainAcceptName() {
        return crossmainAcceptName;
    }

    public void setCrossmainAcceptName(String crossmainAcceptName) {
        this.crossmainAcceptName = crossmainAcceptName;
    }

    public String getDataCrossmainType() {
        return dataCrossmainType;
    }

    public void setDataCrossmainType(String dataCrossmainType) {
        this.dataCrossmainType = dataCrossmainType;
    }

    public String getDataProportion() {
        return dataProportion;
    }

    public void setDataProportion(String dataProportion) {
        this.dataProportion = dataProportion;
    }

    public String getIsCrossmainFlow() {
        return isCrossmainFlow;
    }

    public void setIsCrossmainFlow(String isCrossmainFlow) {
        this.isCrossmainFlow = isCrossmainFlow;
    }

    public String getIsForeignData() {
        return isForeignData;
    }

    public void setIsForeignData(String isForeignData) {
        this.isForeignData = isForeignData;
    }

    public String getInfoSystemName() {
        return infoSystemName;
    }

    public void setInfoSystemName(String infoSystemName) {
        this.infoSystemName = infoSystemName;
    }

    public String getInfoSystemIpAddress() {
        return infoSystemIpAddress;
    }

    public void setInfoSystemIpAddress(String infoSystemIpAddress) {
        this.infoSystemIpAddress = infoSystemIpAddress;
    }

    public String getInfoSystemDomainName() {
        return infoSystemDomainName;
    }

    public void setInfoSystemDomainName(String infoSystemDomainName) {
        this.infoSystemDomainName = infoSystemDomainName;
    }

    public String getInfoSystemType() {
        return infoSystemType;
    }

    public void setInfoSystemType(String infoSystemType) {
        this.infoSystemType = infoSystemType;
    }

    public String getSecurityCognizance() {
        return securityCognizance;
    }

    public void setSecurityCognizance(String securityCognizance) {
        this.securityCognizance = securityCognizance;
    }

    public String getComSecurityCognizance() {
        return comSecurityCognizance;
    }

    public void setComSecurityCognizance(String comSecurityCognizance) {
        this.comSecurityCognizance = comSecurityCognizance;
    }

    public String getIsKetSystem() {
        return isKetSystem;
    }

    public void setIsKetSystem(String isKetSystem) {
        this.isKetSystem = isKetSystem;
    }

    public String getIsKeydataAss() {
        return isKeydataAss;
    }

    public void setIsKeydataAss(String isKeydataAss) {
        this.isKeydataAss = isKeydataAss;
    }

    public String getAssessOrg() {
        return assessOrg;
    }

    public void setAssessOrg(String assessOrg) {
        this.assessOrg = assessOrg;
    }

    public String getAssessBase() {
        return assessBase;
    }

    public void setAssessBase(String assessBase) {
        this.assessBase = assessBase;
    }

    public String getAssessTime() {
        return assessTime;
    }

    public void setAssessTime(String assessTime) {
        this.assessTime = assessTime;
    }

    public String getDataAssessResult() {
        return dataAssessResult;
    }

    public void setDataAssessResult(String dataAssessResult) {
        this.dataAssessResult = dataAssessResult;
    }

    public String getDataDesc() {
        return dataDesc;
    }

    public void setDataDesc(String dataDesc) {
        this.dataDesc = dataDesc;
    }
}
